Bug 263470 - net-mgmt/rubygem-oxidized-web: Fails to start with ruby30
Summary: net-mgmt/rubygem-oxidized-web: Fails to start with ruby30
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-22 15:07 UTC by Einar Bjarni Halldórsson
Modified: 2022-05-25 08:10 UTC (History)
4 users (show)

See Also:
nick: maintainer-feedback+
meta: merge-quarterly+


Attachments
Add patch to work with Ruby 3.0 (972 bytes, patch)
2022-04-22 15:07 UTC, Einar Bjarni Halldórsson
nick: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Einar Bjarni Halldórsson 2022-04-22 15:07:30 UTC
Created attachment 233396 [details]
Add patch to work with Ruby 3.0

rubygem-oxidized-web built with ruby30 (current default) won't start.
The error shown is:

/usr/local/lib/ruby/gems/3.0/gems/puma-5.6.4/lib/rack/handler/puma.rb:63:in `run': wrong number of arguments (given 2, expected 1) (ArgumentError)
	from /usr/local/lib/ruby/gems/3.0/gems/oxidized-web-0.13.1/lib/oxidized/web.rb:29:in `block in run'
wrong number of arguments (given 2, expected 1)

I've raised the issue with upstream project, but created this patch as well since I imagine it affects all using latest ports tree with default ruby settings.
Comment 1 Tomas Engin 2022-05-12 06:00:45 UTC
We are also having this issue:

--------------------------------------------------
2022-05-11 19:12:27 UTC
wrong number of arguments (given 2, expected 1) [ArgumentError]
--------------------------------------------------
/usr/local/lib/ruby/gems/3.0/gems/puma-5.6.4/lib/rack/handler/puma.rb:63:in `run'
/usr/local/lib/ruby/gems/3.0/gems/oxidized-web-0.13.1/lib/oxidized/web.rb:29:in `block in run'
--------------------------------------------------
Comment 2 commit-hook freebsd_committer 2022-05-25 08:07:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=027f28dd50081220b9f9b33a85fda8377be5e94a

commit 027f28dd50081220b9f9b33a85fda8377be5e94a
Author:     Koichiro Iwao <meta@FreeBSD.org>
AuthorDate: 2022-05-25 08:00:39 +0000
Commit:     Koichiro Iwao <meta@FreeBSD.org>
CommitDate: 2022-05-25 08:06:14 +0000

    net-mgmt/rubygem-oxidized-web: Unbreak with Ruby 3.0

    PR:             263470
    Reported by:    Einar Bjarni Halldórsson <einar@isnic.is>
    Approved by:    Nick Hilliard <nick@foobar.org> (maintainer)
    MFH:            2022Q2

 net-mgmt/rubygem-oxidized-web/Makefile                        |  2 +-
 .../files/patch-lib_oxidized_web.rb (new)                     | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)
Comment 3 commit-hook freebsd_committer 2022-05-25 08:09:47 UTC
A commit in branch 2022Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1eeb11e6bf3af20d235313e05dd9bcdedf4ace44

commit 1eeb11e6bf3af20d235313e05dd9bcdedf4ace44
Author:     Koichiro Iwao <meta@FreeBSD.org>
AuthorDate: 2022-05-25 08:00:39 +0000
Commit:     Koichiro Iwao <meta@FreeBSD.org>
CommitDate: 2022-05-25 08:08:24 +0000

    net-mgmt/rubygem-oxidized-web: Unbreak with Ruby 3.0

    PR:             263470
    Reported by:    Einar Bjarni Halldórsson <einar@isnic.is>
    Approved by:    Nick Hilliard <nick@foobar.org> (maintainer)
    MFH:            2022Q2

    (cherry picked from commit 027f28dd50081220b9f9b33a85fda8377be5e94a)

 net-mgmt/rubygem-oxidized-web/Makefile                        |  2 +-
 .../files/patch-lib_oxidized_web.rb (new)                     | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)
Comment 4 Koichiro Iwao freebsd_committer 2022-05-25 08:10:36 UTC
Committed, thanks!